Subject: Re: [PATCH 2/11] cell: generalize io-workarounds code

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 04 Apr 2008 18:50:12 +1100

On Fri, 2008-04-04 at 15:42 +0900, Ishizaki Kou wrote:
> 
> As you pointed, spider I/O functions in Cell blades need 2 step
> indirections by our patch. Shall I make another one for Cell blades
> whose spider I/O functions need one step indirection?
> (But you will need 2 step indirections when you use PCI-ex.)

I think the blades will need the same stuff as celleb since it's
possible to use the PCI-Express on them too.

Maybe an option is to do a if () / else statement rather than a function
pointer in there, it would at least be cheaper in term of CPU cycle
don't you think ? Anyway, do as you prefer.

Cheers,
Ben.